Home//Data Connectors
Data Connectors
Introduction
Changelog (2.16)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Events
Data Export
Emails
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
Returns a paginated list of all data connectors for the workspace, ordered by most recently updated first. Data connectors allow workflows and AI agents to make HTTP requests to external APIs.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/data_connectors
- The european API serverhttps://api.eu.intercom.io/data_connectors
- The australian API serverhttps://api.au.intercom.io/data_connectors
/**
* Requires libcurl
*/
$query = array(
"per_page" => "20",
"starting_after" => "string"
);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <YOUR_TOKEN_HERE>",
"Intercom-Version: 2.16"
],
CURLOPT_URL => "https://api.intercom.io/data_connectors?" . http_build_query($query),
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$error = curl_error($curl);
curl_close($curl);
if ($error) {
echo "cURL Error #:" . $error;
} else {
echo $response;
}successful
dataArray of objects(Data Connector)
An array of data connector objects.
Response
{ "type": "list", "data": [ { … } ], "pages": { "type": "pages", "per_page": 20, "next": { … } } }